---
tag: v2.0.0
title: v2.0.0
date: 2022-02-01T14:06:58Z
prerelease: false
---

## Release notes

Strimertul 2.0 is here! But what is 2.0 exactly?
A lot of work has gone into redesigning various aspect of the software to make it nicer to use and less prone to data loss.

### New UI

The UI has been rebuilt from the ground up with a more striking and consistent styling. It's still not as responsive as I'd like, but it's definitely something I can work towards now. The old UI was born out of necessity to have something out quickly, and made me suffer pretty much from the get go.

### Backups and exporting/importing

BadgerDB has some unresolved data loss issues. I have lost power and my database which caused me several inconveniences and almost ruined an event. This should just not happen. From v2.0.0, a backup system is in place and enabled by default (see details on changelog), plus the entire database system was overhauled to allow for multiple database drivers, so that anyone can switch from BadgerDB to other future providers with ease.

## Changelog

### Added

- **New UI**: Strimertul now features a more slick and better organized UI.
- **Multiple database options**: Strimertul now supports multiple databases drivers. BadgerDB will remain as default (and currently the only option) for the time being but other databases are coming in the future.
- **Database operations**: You can now export and import the entire database as JSON files
- **Database backups**: The database will periodically save optimized copies of itself in a backup directory. Backup directory, intervals and how many to keep at once are all configurable via new command line flags (Defaults: "backup" directory in the current working directory, taken every hour, up to 20 backups).
- **Exposed internal metrics via keys**: `twitch/chat-activity` and `twitch/stream-status` now expose previously internal-only info about the current stream.

### Changed

- The logging library has been changed to zap, the format of logs will therefore be wildly different.
- A lot of the command line parameters have changed syntax (eg. from -noheader to -no-header), please check the new formats using `-h` if you rely on them.
- Database schema has slightly changed, strimertul will auto-migrate to the new format if it detects old schema in use.

### Removed

- Twitch chat history doesn't have an explicit toggle anymore, they are always enabled unless the `chat_history` setting is set to 0.
- Loyalty point migration from v1.2.0 and earlier has been removed. If you are somehow running such an old version of strimertul and using loyalty points, run any version of strimertul between v1.3.0 and v1.7.0 first to make sure all points are migrated to the new format.


## Downloads

- [strimertul_linux_amd64](https://github.com/strimertul/strimertul/releases/download/v2.0.0/strimertul_linux_amd64) (24.83 MiB)
- [strimertul_linux_arm](https://github.com/strimertul/strimertul/releases/download/v2.0.0/strimertul_linux_arm) (22.66 MiB)
- [strimertul_windows_amd64.exe](https://github.com/strimertul/strimertul/releases/download/v2.0.0/strimertul_windows_amd64.exe) (25.10 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v2.0.0) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v2.0.0)

This release was originally published on GitHub and converted, you can find the original release here: [v2.0.0 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v2.0.0)
