---
tag: v2.1.0
title: v2.1.0
date: 2022-02-08T20:49:06Z
prerelease: false
---

## Release notes

First alternative driver release! [Pebble](https://github.com/cockroachdb/pebble) is a LevelDB-style KV store from Cockroach Labs. It's much more simple than BadgerDB, so you're trading performance (that small streamers probably don't need) for a more robust and compact database.

This release also fixes a very problematic bug that makes strimertul irresponsive after a while if streaming to Twitch (only v2.0.0 is affected). If you are using v2.0.0, I suggest you upgrade as soon as possible!

### Migrating driver

If you are currently running strimertul with BadgerDB (which is still the default, for compatibility reasons) you can export your database as a JSON file using the `-export` CLI argument, like this:
```sh
strimertul -export dump.json
```
You can then delete/move the database directory (by default, `./data`) and re-run strimertul with the following command:
```sh
strimertul -import dump.json -driver pebble
```
You won't have to specify `-driver pebble` after the first run as strimertul will auto-detect what database is in use when launched.

## Changelog

### Added

- **Pebble driver**: You can now use [Pebble](https://github.com/cockroachdb/pebble) as a database. Just use `-driver=pebble`
- **Auto driver detection**: The `-driver` option now defaults to `auto`, which will try to identify which database is in use. This means the `-driver` argument is realistically only needed when you first start strimertul. `auto` defaults to BadgerDB if no database is found (to preserve compatibility)

### Fixed

- Fixed nasty sync bug that would make strimertul unresponsive when it would detect streaming on Twitch.

## Downloads

- [strimertul_linux_amd64](https://github.com/strimertul/strimertul/releases/download/v2.1.0/strimertul_linux_amd64) (31.22 MiB)
- [strimertul_linux_arm](https://github.com/strimertul/strimertul/releases/download/v2.1.0/strimertul_linux_arm) (26.28 MiB)
- [strimertul_windows_amd64.exe](https://github.com/strimertul/strimertul/releases/download/v2.1.0/strimertul_windows_amd64.exe) (29.13 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v2.1.0) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v2.1.0)

This release was originally published on GitHub and converted, you can find the original release here: [v2.1.0 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v2.1.0)
