---
tag: v3.1.0
title: v3.1.0
date: 2023-02-21T16:08:21Z
prerelease: false
---

**UPGRADE NOTE**: If upgrading from an earlier version, please re-authenticate your user to make sure it has a necessary new permission for the loyalty system to work.

## Release Notes

### New feature: Recent events and replay button

![Event list](https://user-images.githubusercontent.com/83539179/219223537-dde6c8ab-6272-4c58-bc3d-8d52aee5f1b2.png)

The dashboard is now less empty thanks to a list of recent events. Keep in mind that this list only refers to events that have happened while strimertül is open and its current main purpose is for the replay feature. By clicking the icon on the right the event will be re-broadcasted on the kilovolt server, e.g. for testing overlays.

Up to 100 events are shown in the list. Please be aware that some events are not combined (Twitch gift subs show up as two events, for example.)

### New feature: Extensions

![Extension editor](https://user-images.githubusercontent.com/83539179/219224144-4baa0b66-b705-45ba-84d1-16241a6b0252.png)

One of strimertül strongest points is how extensible and modular it is, however sometimes taking advantage of that requires building external applications which add more and more steps to get a stream going. Extensions are scripts that are run within strimertül. They are similar to [userscripts](https://en.wikipedia.org/wiki/Userscript) but support Typescript and run in their own dedicated thread.

An integrated editor (using Monaco, the same technology used by Visual Studio Code) will let you prototype to your hearts content but you can always use whatever editor you prefer. Scripts are stored in Kilovolt and not in any filesystem, there is currently no way to import/export scripts but it's the next feature in the list to add.

Extensions also provide a way to implement features in an experimental way before integrating into the core of the app, which should lead to faster testing and less buggy code overall.

Documentation is a work in progress and general documentation will be the core focus of the project for a while. A script repository is also planned.

### Fixed: Loyalty system

The loyalty system became non functional after Twitch removed support for listing chatters from the IRC chat. The loyalty poll now calls the Twitch API so it works again. You will need to authenticate your user again however, as the new API requires a new permission!

### Many many many fixes

Several very disruptive bugs have been found in strimertül and fixed, most of these would lead to limited or no functionality after some time and therefore had to be dealt with immediately. If you had issues with strimertül 3.0.0, give this one a shot!

## Known issues

- #55 Sometimes the authenticated user disappears requiring reauthentication, this is being investigated
- #48 The loyalty configuration page does not set the correct interval when opened the first time, clicking to another page and then back fixes it 

## Changelog

### Added

- Added recent event list in the dashboard, please be aware that this list only refers to events that have happened while strimertul was open and is mostly for development/troubleshooting
- Added way to "replay" events, useful for overlay interactions
- Added extensions with a built-in editor (docs soon tm)

### Changed

- Bumped recent event limit to 100 to deal with some spammy events
- When closing the app a quick dialog will ask you if you are really sure (it's not a trick I just keep doing it by mistake). Sometimes it does it twice, it's a known issue.

### Fixed

- Fixed some values in the UI not updating or being assigned upon first load
- The loyalty system was non-functional after an internal rewrite in 3.0.0, this has been fixed
- Fixed a crash due to Twitch returning corrupted responses to status polling
- Fixed issue where the LIVE stream preview would overlap dialog windows
- Fixed leaked iterators on the backup procedure
- Fixed eventsub websocket reconnection not being handled properly
- Fixed bug where the interval in the loyalty configuration page would often not be set to the correct/current value
- Fixed bug where the loyalty config page had a wrong set interval on first load
- Fixed the formatting of log data so long lines are still contained in the dialog instead of clipping offscreen

## Downloads

- [strimertul-linux-amd64](https://github.com/strimertul/strimertul/releases/download/v3.1.0/strimertul-linux-amd64) (28.28 MiB)
- [strimertul.dmg](https://github.com/strimertul/strimertul/releases/download/v3.1.0/strimertul.dmg) (31.91 MiB)
- [strimertul.exe](https://github.com/strimertul/strimertul/releases/download/v3.1.0/strimertul.exe) (29.27 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v3.1.0) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v3.1.0)

This release was originally published on GitHub and converted, you can find the original release here: [v3.1.0 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v3.1.0)
