---
tag: v3.2.0-rc.1
title: v3.2.0-rc.1
date: 2023-04-25T08:39:05Z
prerelease: true
---

This is a **RELEASE CANDIDATE**, it's feature complete but might be unstable!

Not much has changed since beta.1, but notably:

- Number input boxes are less of a pain to use and more forgiving when changing the value with a keyboard
- The UPDATE AVAILABLE banner now should work fine in prereleases (such as this one!)
- Log messages have been made nicer
- The interactive authentication dialog now is fully localized

The following is mostly copied from the previous beta:

## Release notes

3.2 was supposed to be a bigger release focused on quality of life changes but most of them I managed to sneak in 3.1.x, so only the big stuff remained out. There's still a couple big features I want to build but I want to get this out as soon as possible since it heavily increases my confidence that I'm shipping something reliable and easy for me to troubleshoot when people have problems.

### Interactive authentication

The existing way for external applications to speak to strimertul has worked great for background apps like OBS overlays but it's a pain in the ass for one-off applications like web tools. To make that process more seamless, applications that don't have the strimertul password but want to access it can now ask the user directly through strimertul itself!

![Picture of the authorization dialog for external apps](https://user-images.githubusercontent.com/83539179/233301387-4e0a80a9-545e-449a-a53c-c86d69ab7585.png)

All the info is provided by the application so in order to combat potentially malicious software, apps can provide a randomly generated verification code. This is hardly a bulletproof solution but for now it's better than nothing.

**For developers:** Expect docs and samples soon (definitely before public release)!

### Fatal error dialog and recovery options

When reaching a fatal error, strimertül would just crash and stop working. Now it will show this dialog:

![Picture of the fatal error screen of doom](https://user-images.githubusercontent.com/83539179/233303018-44441262-1548-4f20-844d-ab724d747883.png)

This fatal error screen provides a flow for users to submit error reports (which contain no user identifiable data!) and, if the error persists, restore a previously backed up copy of the database.

Note that if this dialog is unavailable to you there is still the command line flow to manage your database (which includes restore/import/export routines), try `strimertul help` in your terminal of choice! (not a new thing, I figure I'd just mention this)

BTW did you know strimertul backs up the entire database every hour and keeps the 20 most recent copies? You can tune this behavior via command line flags and environment variables (maybe soon with a proper UI?)

## Changelog

### Added

- A new error page will appear if strimertul encounters a fatal error (previously this used to just crash). The error page contains both a way to send an error report with app logs and a way to restore the database to an earlier saved copy.
- Added link to the user guide in the main page
- Support for interactive authentication. This allows third party apps to ask for access to strimertul without having to manually share a password

### Changed

- A lot of log messages now are better formatted and more informative
- EventSub connections will auto restart if they drop for unexpected reasons (network hiccups and unexpected closes)

### Fixed

- The UPDATE AVAILABLE banner in prerelease builds now works properly by only appearing when a newer prerelease (or stable) version is available to download.
- Numeric input boxes in the UI should now be less of a pain to use

**All changes**: <https://github.com/strimertul/strimertul/compare/v3.1.5...v3.2.0-rc.1>

## Downloads

- [strimertul-linux-amd64](https://github.com/strimertul/strimertul/releases/download/v3.2.0-rc.1/strimertul-linux-amd64) (28.28 MiB)
- [strimertul.dmg](https://github.com/strimertul/strimertul/releases/download/v3.2.0-rc.1/strimertul.dmg) (32.27 MiB)
- [strimertul.exe](https://github.com/strimertul/strimertul/releases/download/v3.2.0-rc.1/strimertul.exe) (29.33 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v3.2.0-rc.1) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v3.2.0-rc.1)

This release was originally published on GitHub and converted, you can find the original release here: [v3.2.0-rc.1 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v3.2.0-rc.1)
