---
tag: v3.3.0-beta.1
title: v3.3.0-beta.1
date: 2023-10-29T17:05:48Z
prerelease: true
---

## Release notes

### Light mode

While updating my dependencies I noticed the color scheme library I use had some changes so I had to go and tweak colors everywhere, it's still not 100% done but since I was there I added a light mode because uh… well…

…anyway here you go:

| Dark mode                                                                                                                        | Light mode                                                                                                                       |
| -------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| ![strimertul-dev_20231029_172433](https://github.com/strimertul/strimertul/assets/83539179/d21390a0-92ed-48dd-a1de-1b64076bfd81) | ![strimertul-dev_20231029_172428](https://github.com/strimertul/strimertul/assets/83539179/b86a312f-9436-4b74-8611-8e36bdc977f1) |

### Chat responses as replies, whispers and announcements

**Heads up**, you will need to re-authenticate your Twitch account to make the following to work!

Chat commands can now be sent as replies to the original chat message, whispers to the user that called the message or channel-wide announcements!

Here's an example of what is looks like:

![ui](https://github.com/strimertul/strimertul/assets/83539179/a5333228-0d93-4e85-900a-f415dcaf3b9b)
![in-chat](https://github.com/strimertul/strimertul/assets/83539179/440fbd05-b9c5-410f-9152-5d44c50d2363)

**Note:** You can't send whispers to yourself on Twitch, so when testing commands make sure you're using a different account than what's set as the bot account

### Hiding viewer count

A requested feature was to be able to hide the number of viewers in your current stream, so now you'll see a "Hide" button next to it in the dashboard. This setting is saved so it will persist for your next streams as well.

### Consistency fixes

Language and theme are now saved in multiple places so the loading screen and the fatal error screen can both match your chosen theme and language.

## Changelog

### Added

- Added a light theme, can be set during onboarding or in the UI settings
- The fatal error screen now uses the user configured language and theme
- Added the ability to hide viewer count in the dashboard
- Custom chat commands can now be sent as replies, whispers and announcements. Due to some API shenanigans yet to be solved, the latter two will always be sent from your main account, not the bot account (if they are different)
- Added a structured RPC `twitch/bot/@send-message` for sending messages as replies, announcements and whispers.

### Changed

- Chat command cooldown can now be tweaked in the bot settings screen. (This is not per-user o per-command just yet)
- The UI is overall a bit darker, this is still being tweaked, let me know if you're having trouble with it

### Fixed

- Fixed some minor bugs regarding backup file sorting and migration procedures
- Fixed bot cooldown being unreliable due to depending on multiple time sources
- Spaces at beginning of messages are now ignored for command checking (e.g. " !lurk" will match !lurk)

## Downloads

- [strimertul-linux-amd64](https://github.com/strimertul/strimertul/releases/download/v3.3.0-beta.1/strimertul-linux-amd64) (28.45 MiB)
- [strimertul.dmg](https://github.com/strimertul/strimertul/releases/download/v3.3.0-beta.1/strimertul.dmg) (32.51 MiB)
- [strimertul.exe](https://github.com/strimertul/strimertul/releases/download/v3.3.0-beta.1/strimertul.exe) (29.85 MiB)
- Source code: [source.zip](https://api.github.com/repos/strimertul/strimertul/zipball/v3.3.0-beta.1) / [source.tar.gz](https://api.github.com/repos/strimertul/strimertul/tarball/v3.3.0-beta.1)

This release was originally published on GitHub and converted, you can find the original release here: [v3.3.0-beta.1 on GitHub](https://github.com/strimertul/strimertul/releases/tag/v3.3.0-beta.1)
